#!/usr/bin/env python
# -*- coding: utf-8 -*-

from gimpfu import *
import os

def toggle_paths(image, invector, tog):
	pdb.gimp_image_undo_group_start(image)
	pdb.gimp_context_push()
	invector_position = pdb.gimp_image_get_item_position(image,invector)

	for v in image.vectors:
		position = pdb.gimp_image_get_item_position(image,v)
		if tog==0:										# Invisible all
			v.visible = 0
		if tog==1:										# Visible all
			v.visible = 1
		if tog==2 and position < invector_position:		# Visible above active
			v.visible = 1		
		if tog==3:										# Reverse all
			v.visible = int(not(v.visible))
		if tog==4 and position < invector_position:		# Reverse above active
			v.visible = int(not(v.visible))			
		if tog==5:										# Linked (Chain) all
			v.linked = 1
		if tog==6:
			v.linked = 0 								# NonLinked (Chain) all
		
	pdb.gimp_context_pop()
	pdb.gimp_image_undo_group_end(image)
	pdb.gimp_displays_flush()

register(
    "python_fu_toggle_paths",
    "Toggle paths",
    "Toggle paths",
    "MrQ",
    "GPL",
    "2019",
    "<Vectors>/Switching paths...",
#    "<Vectors>/Przełącz ścieżki...", # menu path
    "",
    [
	(PF_IMAGE, "image", "Input image", None),
	(PF_VECTORS, "invector", "Input path", None),
	(PF_RADIO, "p1", "Toggle paths on:", 1, (("Invisible all", 0), ("Visible all", 1), ("Visible above activel", 2), ("Reverse all", 3), ("Reverse above active", 4), ("Linked (chain) all", 5), ("Non Linked (chain) all", 6)))	
#	(PF_RADIO, "p1", "Przełącz ścieżki na:", 1, (("NIEWIDOCZNE", 0), ("WIDOCZNE", 1), ("ODWRÓĆ WSZYSTKIE", 2), ("ODWRÓĆ POWYZEJ AKTYWNEJ", 3), ("DOWIĄZANE", 4), ("NIEDOWIĄZANE", 5)))	
    ],
    [],
    toggle_paths
)

main()